Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.util
Class XMLSerializer

    java.lang.Object
      org.apache.uima.util.XMLSerializer

    public class XMLSerializer

extends Object

Utility class that generates XML output from SAX events or DOM nodes.

Constructor Summary
`XMLSerializer()`
`XMLSerializer(boolean isFormattedOutput)`
`XMLSerializer(OutputStream aOutputStream)`
`XMLSerializer(OutputStream aOutputStream, boolean isFormattedOutput)`
`XMLSerializer(Writer aWriter)`
`XMLSerializer(Writer aWriter, boolean isFormattedOutput)`

Method Summary
`void` | `dom2sax(Node node, ContentHandler handler)`
`ContentHandler` | `getContentHandler()`
`void` | `serialize(Node node)`
`void` | `setOutputProperty(String name, String value)`
`void` | `setOutputStream(OutputStream aOutputStream)`
`void` | `setWriter(Writer aWriter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSerializer

    public XMLSerializer()

### XMLSerializer

    public XMLSerializer(boolean isFormattedOutput)

### XMLSerializer

    public XMLSerializer(OutputStream aOutputStream)

### XMLSerializer

    public XMLSerializer(OutputStream aOutputStream,
                         boolean isFormattedOutput)

### XMLSerializer

    public XMLSerializer(Writer aWriter)

### XMLSerializer

    public XMLSerializer(Writer aWriter,
                         boolean isFormattedOutput)

Method Detail

### setOutputStream

    public void setOutputStream(OutputStream aOutputStream)

### setWriter

    public void setWriter(Writer aWriter)

### getContentHandler

    public ContentHandler getContentHandler()

### serialize

    public void serialize(Node node)

### dom2sax

    public void dom2sax(Node node,
                        ContentHandler handler)

### setOutputProperty

    public void setOutputProperty(String name,
                                  String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.